ProCarrier offers domestic and international shipping services for shipments originating in Great Britain, Guernsey, Jersey, and the Netherlands.
This guide provides developers with the details needed to build ProCarrier shipping capabilities into your ShipStation API workflows.
| Property | Type | Required? | Description |
|---|---|---|---|
nickname | string | required | Used to identify your account in ShipStation API |
api_key | string | required | Your ProCarrier account API key |
use_carrier_tracking_number | boolean | Optional |
- Both weight and dimensions are required for all shipments.
You can connect a ProCarrier account using the POST method to the /v1/connections/carriers/ endpoint, or via the ShipStation API Dashboard.
carrier_name: pro_carrier
POST /v1/connections/carriers/:carrier_name
Sample request:
POST /v1/connections/carriers/pro_carrier HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"nickname": "My ProCarrier account",
"api_key": "123456789"
}A successful connection will return a response with the carrier_id, which you'll use for any requests for this account going forward.
Steps to connect via dashboard coming soon!
ProCarrier does not support rate shopping with ShipStation API. Your ProCarrier account contact can provide you with the details about your contracted rates.
Available ProCarrier services are provided below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the list carrier services endpoint at any time.
| Service | API Code | Origin Countries |
|---|---|---|
| Pro Carrier Parcel Express | pro_carrier_pcpe | GB, GG, JE |
| Pro Carrier Parcel Packet | pro_carrier_pcpt | GB, GG, JE |
| Pro Carrier Parcel Plus | pro_carrier_pcpl | GB, GG, JE |
| Pro Carrier Parcel Post | pro_carrier_pcpp | GB, GG, JE |
| Service | API Code | Origin Countries |
|---|---|---|
| Pro Carrier Parcel Express International | pro_carrier_pcpe_intl | GB, NL |
| Pro Carrier Parcel Packet International | pro_carrier_pcpt_intl | GB, NL |
| Pro Carrier Parcel Plus International | pro_carrier_pcpl_intl | GB, NL |
| Pro Carrier Parcel Post International | pro_carrier_pcpp_intl | GB, NL |
ProCarrier has confirmed that they are not requiring any changes or additional data for shipments to Northern Ireland relating to the Windsor Framework that goes into effect 1 May 2025.
Please note that ProCarrier considers shipments from Great Britain to Northern Ireland to be cross-border shipments and they do require the standard customs declarations for products included in the shipments.
NOTE: Action Required: New Zealand Border Levy Changes
Effective April 1, 2026, a new NZD $2.21 (+ GST) levy applies to low-value air freight consignments entering New Zealand. This levy is charged per consignment, not per item.
See the Shipping to New Zealand: Low Value Goods (LVG) Levy section in International Shipments for full details.
ProCarrier does not currently support support creating return labels.
The following carrier package types are available for ProCarrier services:
| Name | API Code | Package Attributes |
|---|---|---|
| Package | pro_carrier_package | International, Domestic |
ProCarrier does not support adding carrier insurance to shipments created with ShipStation API.
- Label sizes: 4" x 6"
- Label formats: PDF, PNG, ZPL
- Supports unicode characters: no
ProCarrier does not support adding custom label messages.
ProCarrier does not support creating multi-package shipments.
ProCarrier does not support label branding.
ProCarrier supports voiding labels with ShipStation API. Labels must be voided one at a time.
See our Void a Label page for details about voiding labels with ShipStation API.
ProCarrier does not support paperless labels.
Customs declarations are submitted electronically (via paperless trade, or "PLD").
| Confirmation Type | API Code | Description |
|---|---|---|
| No confirmation required | none | No delivery confirmation requested. |
See our Delivery Confirmation page for more details about using the confirmation property.
ProCarrier does not currently support any advanced options.
To ensure you always have the most up-to-date information about a carrier's advanced options, use the list carrier options call.
ProCarrier does not require manifesting your shipments. Shipment data is sent electronically to ProCarrier automatically.
ProCarrier does not support scheduling pickups using ShipStation API.
ProCarrier does not support shipping to service points.
ShipStation API's integration with ProCarrier supports receiving tracking updates. Review our Track a Package guides for details on tracking with the ShipStation API.
See the Disconnect section in our Delete a Carrier page for the process of deleting or disconnecting a carrier from ShipStation API.
NOTE:
If you disconnect a carrier account and reconnect it, the account will have a new
carrier_idin ShipStation API.